/**************************************************************************
EXTUPD.H - used by extupdo.obj and extupd.c 

the resulting executable updates the user's PC INVENTORY with the information
provided by the manufacturer in hard_inv_rec.

3-95 ...................... Mike Baharmast 
****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <io.h>
 
typedef struct { char szResource[40];
                 char szTitle[40];
                 char szName_Ad[120];
                 char szMsc1[100];
                 char szMsc2[120];
                 char szDriver[800];
                 char szIrq[20];
                 char szIo_Ad[20];
                 char szBase_Ad[20];
                 char szDma[20];
                 int bStatus;
               } Hard_Inv_Rec;  /*1.3kb record*/

               
Hard_Inv_Rec hard_inv_rec,inv_rec;  /*26kb dbase  */

typedef struct { char szSTitle[40];
                 char szSNameAd[120];
                 char szSCom[120];
                 char szSDirs[1020];
                 int bSStatus;
               } SOFT_INV_REC;
               
SOFT_INV_REC soft_inv_rec,sinv_rec;               
               
int Rec_To_SIFILE(char *spath);
int Rec_To_HIFILE(char *spath); /* returns: -2  MBS PC inventory nor registered
                                            -1  harware inventory file didn't exist
                                            11  replaced an existing record
                                            10  replace failed
                                            21  added a new record
                                            20  add failed
                                */            

